## Contributing

If you need to add new configuration keys, please do so by editing the file:

```
gwcelery/values-template.yaml
```

and add new keys according to the following schema:
```
key1:
  value: <default_value>
  required: [true,false]
  description: <short_descritpion_string>
  mytype: ["integer", "string", "boolean","number", "array", "object"]
key2:
  mytype: "object"
  subkey1:
    value: <default_value>
    required: [true,false]
    description: <short_descritpion_string>
    mytype: ["integer", "string", "boolean","number", "array", "object"]
  subkey2:
    value: <default_value>
    required: [true,false]
    description: <short_descritpion_string>
    mytype: ["integer", "string", "boolean","number", "array", "object"]
```

Only for values that are not required, insert an _if_ statement in the Jinja templates. 

In order to produce the `values.yaml` and `values.schema.json` corresponding to the template file, run the following script:
```
pushd gwcelery
./make-schema-and-values.sh 
```
In order to produce an updated `README.md` file including the new keys, run:
```
popd
./create-readme.sh
``` 
