## Subcharts

This chart depends on a [Redis subchart](https://artifacthub.io/packages/helm/bitnami/redis). The applied configuration to the Redis subchart is the following:
```
redis:
  redis:
    configmap: |-
      # Some GWCelery tasks transfer large payloads through Redis.
      # The default Redis client bandwidth limits are too small.
      client-output-buffer-limit normal 0 0 0
      client-output-buffer-limit slave 256mb 64mb 60
      client-output-buffer-limit pubsub 256mb 64mb 60

      # If worker nodes are only reachable on a specific network interface,
      # then make sure to bind any additional IP addresses here.
      # bind 127.0.0.1 10.0.0.1  # replace 10.0.0.1 with address on cluster network

      # Disable RDB snapshots.
      save ""

      # Enable appendonly snapshots.
      appendonly yes
      auto-aof-rewrite-percentage 95

  auth:
    enabled: false
    sentinel: false

  tls:
    enabled: false

  architecture: standalone

  master:
    service:
        type: ClusterIP
    disableCommands: []
    resources: 
      limits: 
        cpu: 0.1
        memory: 2Gi
    persistence:
      size: 20Gi

```
